Package org.opensaml.xmlsec

# Class EncryptionParameters

java.lang.Object
org.opensaml.xmlsec.EncryptionParameters

public class EncryptionParameters extends Object
The effective parameters to use when generating encrypted XML.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`dataEncryptionAlgorithmURI`
The EncryptedData encryption algorithm URI.
`private Credential`
`dataEncryptionCredential`
The EncryptedData encryption credential.
`private KeyInfoGenerator`
`dataKeyInfoGenerator`
The EncryptedData KeyInfoGenerator.
`private String`
`keyTransportEncryptionAlgorithmURI`
The EncryptedKey encryption algorithm URI.
`private Credential`
`keyTransportEncryptionCredential`
The EncryptedKey encryption credential.
`private KeyInfoGenerator`
`keyTransportKeyInfoGenerator`
The EncryptedKey KeyInfoGenerator.
`private RSAOAEPParameters`
`rsaOAEPParameters`
RSA OAEP parameters.

## Constructor Summary

Constructors
Constructor
Description
`EncryptionParameters()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDataEncryptionAlgorithm()`
Get the encryption algorithm URI to use when encrypting the EncryptedData.
`Credential`
`getDataEncryptionCredential()`
Get the encryption credential to use when encrypting the EncryptedData.
`KeyInfoGenerator`
`getDataKeyInfoGenerator()`
Get the KeyInfoGenerator to use when generating the EncryptedData/KeyInfo.
`String`
`getKeyTransportEncryptionAlgorithm()`
Get the encryption algorithm URI to use when encrypting the EncryptedKey.
`Credential`
`getKeyTransportEncryptionCredential()`
Get the encryption credential to use when encrypting the EncryptedKey.
`KeyInfoGenerator`
`getKeyTransportKeyInfoGenerator()`
Get the KeyInfoGenerator to use when generating the EncryptedKey/KeyInfo.
`RSAOAEPParameters`
`getRSAOAEPParameters()`
Get the instance of `RSAOAEPParameters`.
`void`
`setDataEncryptionAlgorithm(String uri)`
Set the encryption algorithm URI to use when encrypting the EncryptedData.
`void`
`setDataEncryptionCredential(Credential credential)`
Set the encryption credential to use when encrypting the EncryptedData.
`void`
`setDataKeyInfoGenerator(KeyInfoGenerator generator)`
Set the KeyInfoGenerator to use when generating the EncryptedData/KeyInfo.
`void`
`setKeyTransportEncryptionAlgorithm(String uri)`
Set the encryption algorithm URI to use when encrypting the EncryptedKey.
`void`
`setKeyTransportEncryptionCredential(Credential credential)`
Set the encryption credential to use when encrypting the EncryptedKey.
`void`
`setKeyTransportKeyInfoGenerator(KeyInfoGenerator generator)`
Set the KeyInfoGenerator to use when generating the EncryptedKey/KeyInfo.
`void`
`setRSAOAEPParameters(RSAOAEPParameters params)`
Set the instance of `RSAOAEPParameters`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dataEncryptionCredential

@Nullable private Credential dataEncryptionCredential
The EncryptedData encryption credential.

### keyTransportEncryptionCredential

@Nullable private Credential keyTransportEncryptionCredential
The EncryptedKey encryption credential.

### dataEncryptionAlgorithmURI

@Nullable private String dataEncryptionAlgorithmURI
The EncryptedData encryption algorithm URI.

### keyTransportEncryptionAlgorithmURI

@Nullable private String keyTransportEncryptionAlgorithmURI
The EncryptedKey encryption algorithm URI.

### dataKeyInfoGenerator

@Nullable private KeyInfoGenerator dataKeyInfoGenerator
The EncryptedData KeyInfoGenerator.

### keyTransportKeyInfoGenerator

@Nullable private KeyInfoGenerator keyTransportKeyInfoGenerator
The EncryptedKey KeyInfoGenerator.

### rsaOAEPParameters

@Nullable private RSAOAEPParameters rsaOAEPParameters
RSA OAEP parameters.

## Constructor Details

### EncryptionParameters

public EncryptionParameters()

## Method Details

### getDataEncryptionCredential

@Nullable public Credential getDataEncryptionCredential()
Get the encryption credential to use when encrypting the EncryptedData.

Returns:
  the encryption credential

### setDataEncryptionCredential

public void setDataEncryptionCredential(@Nullable Credential credential)
Set the encryption credential to use when encrypting the EncryptedData.

Parameters:
  `credential` - the encryption credential

### getKeyTransportEncryptionCredential

@Nullable public Credential getKeyTransportEncryptionCredential()
Get the encryption credential to use when encrypting the EncryptedKey.

Returns:
  the encryption credential

### setKeyTransportEncryptionCredential

public void setKeyTransportEncryptionCredential(@Nullable Credential credential)
Set the encryption credential to use when encrypting the EncryptedKey.

Parameters:
  `credential` - the encryption credential

### getDataEncryptionAlgorithm

@Nullable public String getDataEncryptionAlgorithm()
Get the encryption algorithm URI to use when encrypting the EncryptedData.

Returns:
  an encryption algorithm URI

### setDataEncryptionAlgorithm

public void setDataEncryptionAlgorithm(@Nullable String uri)
Set the encryption algorithm URI to use when encrypting the EncryptedData.

Parameters:
  `uri` - an encryption algorithm URI

### getKeyTransportEncryptionAlgorithm

@Nullable public String getKeyTransportEncryptionAlgorithm()
Get the encryption algorithm URI to use when encrypting the EncryptedKey.

Returns:
  an encryption algorithm URI

### setKeyTransportEncryptionAlgorithm

public void setKeyTransportEncryptionAlgorithm(@Nullable String uri)
Set the encryption algorithm URI to use when encrypting the EncryptedKey.

Parameters:
  `uri` - an encryption algorithm URI

### getDataKeyInfoGenerator

@Nullable public KeyInfoGenerator getDataKeyInfoGenerator()
Get the KeyInfoGenerator to use when generating the EncryptedData/KeyInfo.

Returns:
  the KeyInfoGenerator instance

### setDataKeyInfoGenerator

public void setDataKeyInfoGenerator(@Nullable KeyInfoGenerator generator)
Set the KeyInfoGenerator to use when generating the EncryptedData/KeyInfo.

Parameters:
  `generator` - the KeyInfoGenerator instance

### getKeyTransportKeyInfoGenerator

@Nullable public KeyInfoGenerator getKeyTransportKeyInfoGenerator()
Get the KeyInfoGenerator to use when generating the EncryptedKey/KeyInfo.

Returns:
  the KeyInfoGenerator instance

### setKeyTransportKeyInfoGenerator

public void setKeyTransportKeyInfoGenerator(@Nullable KeyInfoGenerator generator)
Set the KeyInfoGenerator to use when generating the EncryptedKey/KeyInfo.

Parameters:
  `generator` - the KeyInfoGenerator instance

### getRSAOAEPParameters

@Nullable public RSAOAEPParameters getRSAOAEPParameters()
Get the instance of `RSAOAEPParameters`.

Returns:
  the parameters instance

### setRSAOAEPParameters

public void setRSAOAEPParameters(@Nullable RSAOAEPParameters params)
Set the instance of `RSAOAEPParameters`.

Parameters:
  `params` - the new parameters instance